
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #226

No decoder found while trying to play Internet stream

December 11, 2012 09:46 - Richard Bywater

Status: Closed Start date: December 11, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.3   

Description

While trying to play a di.fm stream on my Ubuntu 12.10 Audacious install, I am unable to play with the pls file provided by di.fm. The

pls file contains:

[playlist]

NumberOfEntries=7

File1=http://stream-70.shoutcast.com:80/listen.pls?sid=1

Title1=Digitally Imported - Vocal Trance

Length1=-1

File2=http://stream-111.shoutcast.com:80/listen.pls?sid=1

Title2=Digitally Imported - Vocal Trance

Length2=-1

File3=http://stream-134.shoutcast.com:80/listen.pls?sid=1

Title3=Digitally Imported - Vocal Trance

Length3=-1

File4=http://stream-142.shoutcast.com:80/listen.pls?sid=1

Title4=Digitally Imported - Vocal Trance

Length4=-1

File5=http://stream-175.shoutcast.com:80/listen.pls?sid=2

Title5=Digitally Imported - Vocal Trance

Length5=-1

File6=http://stream-180.shoutcast.com:80/listen.pls?sid=1

Title6=Digitally Imported - Vocal Trance

Length6=-1

File7=http://stream-196.shoutcast.com:80/listen.pls?sid=1

Title7=Digitally Imported - Vocal Trance

Length7=-1

Version=2

Upon trying to play one of the streams the error "No decoder found for http://stream-70.shoutcast.com:80/listen.pls?sid=1." is

received.

I then tried to manually open the URL of http://stream-70.shoutcast.com:80/listen.pls?sid=1 but to no avail. Finally, after some

assistance from the IRC channel, we managed to get it going by dropping the ?sid=1 portion of the URL.

History

#1 - December 11, 2012 16:51 - Michael Schwendt

Affects version:    3.2.3

 

True. But this is fixed in 3.3.3. ;)

On the main page http://audacious-media-player.org/ in the news section for the announcement of Audacious 3.3.3 click "these" to find the related

bug report: http://redmine.audacious-media-player.org/boards/1/topics/526
#2 - December 12, 2012 01:27 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

Yes, it has been fixed already:

https://github.com/audacious-media-player/audacious/commit/2db26ad97992cc212558b8f6e375334d29260bd5

In future, please don't report bugs in outdated versions.
